OMNeT++/OMNEST Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000119OMNeT++IDE / sequence chartpublic2009-12-17 13:122010-05-06 09:55
Reporterandras 
Assigned Toandras 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version4.0 
Target Version4.1Fixed in Version4.1b3 
Summary0000119: Sequence Chart displays internal error when opened on log from SystemC examples
DescriptionSequence Chart displays internal error when opened on log produced by the SystemC "example2" simulation.

Stack:
java.lang.NullPointerException
    at org.omnetpp.sequencechart.widgets.SequenceChart.getAxisModuleIndexByModuleId(SequenceChart.java:3348)
    at org.omnetpp.sequencechart.widgets.SequenceChart.getInitializationEventYViewportCoordinate(SequenceChart.java:3373)
    at org.omnetpp.sequencechart.widgets.SequenceChart.access$39(SequenceChart.java:3371)
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0000202)
levy (developer)
2010-01-05 15:18

This problem is not strictly related to SystemC. There's an assumption in the sequence chart that each event (and method call) comes from a simple module and goes to a simple module. During initialization for example, simple modules may send messages or call other modules, but there must be always a simple context module.

In the SystemC example there's a message send at initialize event that comes from a "compound module". The exception is thrown because the "network" does not have an axis and "sends" (i.e. it is the context module) a message to a simple module during initialization. We could fix this by showing the corresponding axis on the sequence chart, but that would requite careful investigation of the invariant throughout the code.

Alternatively the SystemC examples could be modified to always ensure that messages are sent from simple modules.

IMPORTANT NOTE: in general, it is a bad idea to just send the message without actually changing the context. That would mean that the simple module processing the previous message would be the context module implicitly. The resulting sequence chart would be confusing.
(0000283)
andras (administrator)
2010-05-06 09:55

Fixed NPE (by Levy).

- Issue History
Date Modified Username Field Change
2009-12-17 13:12 andras New Issue
2009-12-17 13:14 andras Product Version => 4.0
2009-12-17 13:14 andras Target Version => 4.1
2010-01-05 15:18 levy Note Added: 0000202
2010-05-06 09:55 andras Note Added: 0000283
2010-05-06 09:55 andras Status new => resolved
2010-05-06 09:55 andras Fixed in Version => 4.1b3
2010-05-06 09:55 andras Resolution open => fixed
2010-05-06 09:55 andras Assigned To => andras


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker